> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_routines_create.md).

# iai routines create

Create a routine

## Synopsis

Create a new routine in an InteractiveAI project.

Content is provided via a YAML file using the --file flag.

Run `iai routines schema` to see the current field definitions.

## Example

```yaml
# routine.yaml
title: My Routine
conditions: When user needs help
description: Handles user support requests
steps:
  - id: greet
    description: Welcome the user
    chat_state: Say hello
  - id: lookup
    source: greet
    tools: crm:get_user
    tool_instruction: Fetch user data
```

## Examples

```
  iai routines create onboarding-flow --file routine.yaml
  iai routines create onboarding-flow --file routine.yaml --schema-version 2.1.0
  iai routines create onboarding-flow --file routine.yaml --labels staging
  iai routines create onboarding-flow --file routine.yaml --tags v2,experimental
```

## Options

```
      --file string             Path to the file containing the prompt content
  -h, --help                    help for create
      --labels strings          Labels for the prompt version (comma-separated)
  -o, --organization string     Organization name that owns the project
  -p, --project string          Project name that owns the prompts
      --schema-version string   Schema version to validate against (defaults to latest stable)
      --tags strings            Tags for the prompt (comma-separated)
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai routines](/cli/iai_routines.md) - Multi-step behavioral processes for agents


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_routines_create.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
